/* ---------------  Boiler Plate CSS  --------------- */

:root {
	--cd-color-default: #000000;
	--cd-color-primary: #1365ce;
	--cd-text-primary: #074696;
	--cd-color-orange: #f26f27;
	--cd-color-navbar-item: #074696;
	--cd-anchor-tag-color: #0060ac;
	
	--cd-background-color: #f1f1f1;
	--cd-navbar-bg-color: #1365ce;
	--btn-primary-bg: #02a6ea;
  	--btn-primary-gradient: linear-gradient(to bottom, #00b4ff, #0393ce);
  	--btn-primary-bg-hover: #029dde;
  	--btn-primary-gradient-hover: linear-gradient(to bottom, #00b4ff, #047bab);
	--striped-rows-bg: #f8f9fa;
	--label-success-bg: #34b643;
	--label-danger-bg: #da2a25;
	--label-default-bg: #34b643;
	
	--btn-primary-border-color: #0587ef;
	
	--font-primary: 'Open Sans', Arial, Helvetica, sans-serif;
	
	
}

body {
	font-family: var(--font-primary);
    color: var(--cd-color-default);
    font-size: 0.875rem;
    line-height: 1.313rem;
    font-weight: 400;
    overflow: auto;
}

select, option {
    font-family: var(--font-primary) !important;
    font-weight: 400 !important;
    text-rendering: optimizeLegibility;
}

p, li, label {
    font-weight: normal;
}

li {
    list-style: none;
}

a {
    color:  var(--cd-anchor-tag-color);
    text-decoration: none;
}

a, a:focus, a:hover, a:active, button, button:hover {
    outline: 0 !important;
}

a:focus {
    text-decoration: none;
}
a:hover {
    color:  var(--cd-anchor-tag-color);
    text-decoration: none;
}

.btn:focus, .btn:hover, .btn:active, .btn.active, .btn-primary:hover, .btn-primary:active, .btn-primary:focus, .btn-primary:active:focus, .btn-primary:active:hover { outline-color: transparent;}

.table { 
	background: #fff;
	border-bottom: 0 solid transparent;
}

.table tbody { 
	font-size: 0.875rem; 
}

.table thead th { 
	font-family: var(--font-primary);
	font-weight: 600; 
	text-wrap: auto;
	padding: 1rem .5rem;
}

.config-order-summary-wrapper {
	position: sticky;
    top: 20px;
}


/* ---------------  Typography CSS --------------- */

@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/opensans-light.ttf')
}

@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/opensans-regular.ttf');
}

@font-face{
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 500;
	src: url('../fonts/opensans-medium.ttf')
}

@font-face{
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 600;
	src: url('../fonts/opensans-semibold.ttf')
}

@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/opensans-bold.ttf')
}

.font-thin {
	font-family: 'Open Sans' !important;
	font-weight: 300 !important;
}

.font-regular {
	font-family: 'Open Sans' !important;
	font-weight: 400 !important;
}

.font-medium {
	font-family: 'Open Sans' !important;
	font-weight: 500 !important;
}

.font-semibold {
	font-family: 'Open Sans' !important;
	font-weight: 600;
}

.font-bold {
	font-family: 'Open Sans' !important;
	font-weight: 700 !important;
}

.text-primary {
	color: var(--cd-text-primary) !important;
}

.text-orange {
	color: var(--cd-color-orange) !important;
}

.label-success { 
	background-color: var(--label-success-bg);
}

.label-danger { 
	background-color: var(--label-danger-bg);
}

.label-default { 
	background-color: var(--label-default-bg);
}

/* ---------------  Buttons CSS  --------------- */


.btn.btn-primary { 
	font-family: var(--font-primary);
	font-weight: 500;
	background: var(--btn-primary-bg) var(--btn-primary-gradient) repeat scroll 0 0;
    border: 1px solid var(--btn-primary-border-color) !important; 
    border-radius: 0.375rem !important;
    text-wrap: nowrap;
    font-size: 0.875rem;
}

.btn-primary:hover, .btn-link:hover .btn-primary:active, .btn-primary:focus, .btn-primary:active:focus, .btn-primary:active:hover { 
	border-color: var(--btn-primary-border-color);
    background: var(--btn-primary-bg-hover) var(--btn-primary-gradient-hover) repeat scroll 0 0;
}

.btn-outline-tertiary {
    --bs-btn-color: #6c757d;
    --bs-btn-border-color: #6c757d;
    --bs-btn-hover-color: #6c757d;
    --bs-btn-hover-bg: rgb(248, 249, 250);
    --bs-btn-hover-border-color: #6c757d;
    --bs-btn-focus-shadow-rgb: 108, 117, 125;
    --bs-btn-active-color: #6c757d;
    --bs-btn-active-bg: rgb(248, 249, 250);
    --bs-btn-active-border-color: rgb(248, 249, 250);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: rgb(248, 249, 250);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: rgb(248, 249, 250);
    --bs-gradient: none;
    border-radius: 0.375rem;
    font-size: 0.875rem;
    text-wrap: nowrap;
}

.btn-outline-tertiary.active, .btn-outline-tertiary:hover, .btn-outline-tertiary:hover .btn-outline-tertiary:active, .btn-outline-tertiary:focus, .btn-outline-tertiary:active:focus, .btn-outline-tertiary:active:hover { 
	border-color: #6c757d;
    background: rgb(248, 249, 250);
}

.refresh-certificateWrap {
	height: 39px;
}

/* ---------------  Alert Popup CSS  --------------- */

div.msgBox { 
	padding: 0px;
	position: fixed;
	z-index: 1050;
	width: 430px;
	color: #00335e;
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
	border-radius: 4px;
    -moz-box-shadow: 0px 0px 11px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0px 0px 11px rgba(0,0,0,0.3);
    box-shadow: 0px 0px 11px rgba(0,0,0,0.3);
   	z-index: 10000; 
   	top: 50%;
}

div.msgBoxBackGround {
    top: 0;
    left: 0;
    position: absolute;
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    background-color: #000000;
    opacity: 0.5;
    z-index: 1060;
}

div.msgBoxContainer {
	text-align: center;
}

div.msgBoxTitle {
    padding: 5px 0 5px 0;
    font-variant: small-caps;
    font-size: 16pt;
    font-weight: lighter;
    color: #00335e;
    width: 100%;
    border-bottom : 1px solid #002c5f;
}

div.msgBoxImage {
    margin: 0px;
    width: auto;
    vertical-align: top;
    position: absolute;
    left: 20px;
    top: 38px;
}

div.msgBoxImage .fa {
    font-size: 30px;
}

div.msgBoxContent {
    font-size: 11pt;
    margin: 0px;
    display: block;
    color: #000;
    padding: 25px;
    padding-left: 55px;
}

div.msgBoxContent span {
    display: table-cell;
    vertical-align: middle;
    color: #000;
    text-align: left;
    font-size: 15px;
}

/* Content class for IE7*/

div.msgBoxContentIEOld {
    font-size: 11pt;
    margin: 0 3px 6px 3px;
    display: inline-block;
    float: left;
    height: 90px;
    width: 319px;
    position: relative;
}

div.msgBoxContentIEOld p {
    padding:0;
    margin:0;
    position: absolute;
    top: 50%;
}

div.msgBoxContent p {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
}

div.msgBoxContentIEOld span {
    position: relative;
    top: -50%;
}

/* Content class for IE7*/

div.msgBoxButtons {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    width: 100%;
    text-align: right;
    background: #f1f1f1;
    border-top: 1px solid #ddd;
    padding: 10px 20px;
    border-radius: 0 0 4px 4px;
}

div.msgBoxButtons input[type='button'],div.msgBoxButtons input[type='button']:focus,div.msgBoxButtons input[type='button']:active {
    outline:none;
    padding:6px 25px;
}

div.msgBoxButtons input[type='button']:active {
    background-color:#AAAAAA;
    color:White;
}

div.msgBoxButtons input[type='button']::-moz-focus-inner { 
    outline: none; 
    border: none;
}

div.msgBoxInputs {
    margin:0 auto;
    padding-top:2px;
    padding-bottom:2px;
    margin-top:5px;
    width:195px;
}

div.msgInput input[type='text'],div.msgInput input[type='password'] {
    padding:4px;
    border:1px solid #DFDFDF;
    color:#2f2f2f;
    width:180px;
}

div.msgInput text {
    color:#2f2f2f;
    font-size:10pt;
}

 /* ---------------  Inputs CSS  --------------- */
 
 .form-control {
	padding: 0.5rem .75rem !important;
	font-size: 0.875rem !important;
}

.form-select {
	padding: 0.5rem 2.25rem 0.5rem 0.75rem !important;
	font-size: 0.875rem !important;
}

.form-control:focus {
	box-shadow: 0 0 0 .01rem rgba(13, 110, 253, .25) !important;
}

.form-select:focus {
	box-shadow: 0 0 0 .01rem rgba(13, 110, 253, .25) !important;
}

.cd-telephoneInput {
	padding-left: 32px !important;
}
 
.switch { 
	position: relative; 
	display: inline-block !important; 
	width: 49px; 
	height: 24px; 
}

.switch input { 
	opacity: 0; 
	width: 0; 
	height: 0; 
}

input:checked + .slider { 
	background-color: #00b4ff; 
}

.slider.round { 
	border-radius: 34px; 
}

.slider { 
	position: absolute; 
	cursor: pointer; 
	top: 0; 
	left: 0; 
	right: 0; 
	bottom: 0; 
	background-color: #ccc; 
	-webkit-transition: .4s;  
	transition: .4s;
}

input:checked + .slider:before {
	-webkit-transform: translateX(26px); 
	-ms-transform: translateX(26px); 
	transform: translateX(26px);
}

.slider.round:before {
	border-radius: 50%;
}

.slider:before {
	position: absolute; 
	content: ""; 
	height: 16px; 
	width: 16px; 
	left: 4px; 
	bottom: 4px; 
	background-color: white; 
	-webkit-transition: .4s; 
	transition: .4s;
}

 /* ---------------  Scrollbar CSS  --------------- */

::-webkit-scrollbar, .pageviewer-content::-webkit-scrollbar {
    width: 6px;
    height: 6px;
    background-color: rgba(0, 0, 0, 0);
    scrollbar-background-color: rgba(0, 0, 0, 0);
    -webkit-border-radius: 100px;
}

::-webkit-scrollbar:hover, .pageviewer-content::-webkit-scrollbar:hover {
    background-color: rgba(0, 0, 0, .09);
    scrollbar-background-color: rgba(0, 0, 0, .09);
}

::-webkit-scrollbar-thumb, .pageviewer-content::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, .5);
    scrollbar-background: rgba(0, 0, 0, .5);
    height: 3px;
    -webkit-border-radius: 100px;
}

::-webkit-scrollbar-thumb:active, .pageviewer-content::-webkit-scrollbar-thumb:active {
    background: rgba(0, 0, 0, .61);
    scrollbar-background: rgba(0, 0, 0, .61);
    -webkit-border-radius: 100px;
}

 /* ---------------  Reusable Classes CSS  --------------- */

.fs-7 {
	font-size: 0.875rem !important;	
}

.fs-8 {
	font-size: 0.75rem !important;
}

.fs-9 {
	font-size: 0.625rem !important;
}

.p-12px {
	padding: 0.75rem !important;
}

.pt-12px {
	padding-top: 0.75rem !important;
}

.pb-12px {
	padding-bottom: 0.75rem !important;
}

.px-6px {
	padding-inline: 0.375rem !important;
}

.px-10px {
	padding-inline: 0.625rem !important;
}

.px-12px {
	padding-inline: 0.75rem !important;
}

.py-6px {
	padding-block: 0.375rem !important;
}

.py-10px {
	padding-block: 0.625rem !important;
}

.py-12px {
	padding-block: 0.75rem !important;
}

.mt-2px {
	margin-top: 0.125rem !important;
}

.mt-12px {
	margin-top: 0.75rem !important;
}

.my-12px {
	margin-block: 0.75rem !important;
}

.mb-12px {
	margin-bottom: 0.75rem !important;
}

.mx-12px {
	margin-inline: 0.75rem !important;
}

.lh-0 {
	line-height: 0 !important;
}

.cursor-pointer {
	cursor: pointer;
}

.w-fitcontent {
	width: fit-content !important;
}

.z-10 {
	z-index: 10 !important;
}

.z-10 {
	z-index: 10 !important;
}

.z-999 {
	z-index: 999 !important;
}

.z-1054 {
	z-index: 1054;
}

.display-none {
	display: none;
}

.visibility-hidden {
	visibility: hidden;
}

.shadow-md {
	box-shadow: 0 2px 5px -2px #603579 !important;
}

.alert-warning {
	background-color: #fff3cd !important;
}

.mh-420px {
	max-height: 420px;
}

.min-h-420px {
	min-height: 420px;
}

.min-h-250px {
	min-height: 250px;
}

.cd-modal-default {
	max-width: 380px !important;
}

.bg-cobaltBlue {
	background-color: var(--cd-color-primary) !important;
}

/* ---------------  JQuery Datepicker CSS  --------------- */

.ui-datepicker {
	font-family: var(--font-primary) !important;
	width: 20em !important;
	padding: 0 !important;
	border-radius: 0.375rem !important;
	background: #fff;
    border: 1px solid #eee;
}

.ui-datepicker-header {
	border-radius: 0.375rem 0.375rem 0 0 !important;
	padding: .5em !important;
}

.ui-datepicker-title {
	margin: 0 4.6em 0 0 !important;
}

.ui-datepicker-title select {
	padding: 4px;
    border-radius: 0.375rem;
    border-color: #ced4da;
}

.ui-datepicker-month {
	margin-right: 4px !important;
}

.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next {
	top: 12px !important;
	left: unset !important;
	transform: rotate(270deg);
}

.ui-datepicker .ui-datepicker-prev {
	right: 40px !important;
}

.ui-datepicker .ui-datepicker-next {
	right: 10px !important;
}

.ui-datepicker .ui-datepicker-prev-hover {
	right: 40px !important;
}

.ui-datepicker .ui-datepicker-next-hover {
	right: 10px !important;
}

.ui-datepicker td {
	padding: 6px !important;
}

.ui-state-default, .ui-widget-content .ui-state-default, 
.ui-widget-header .ui-state-default, 
.ui-button, html .ui-button.ui-state-disabled:hover, 
html .ui-button.ui-state-disabled:active 
{
	border-radius: 50%;
    text-align: center;
    border: unset !important;
	background-color: transparent !important;
	padding-top: 3px !important;
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, a.ui-button:active, .ui-button:active, .ui-button.ui-state-active:hover {
	border-color: var(--btn-primary-border-color) !important;
    background: var(--btn-primary-bg-hover) var(--btn-primary-gradient-hover) repeat scroll 0 0 !important;
}

.ui-state-hover, .ui-widget-content .ui-state-hover, 
.ui-widget-header .ui-state-hover, .ui-state-focus, 
.ui-widget-content .ui-state-focus, .ui-widget-header 
.ui-state-focus, .ui-button:hover, .ui-button:focus {
	border: unset !important;	
	background-color: #ededed !important;
	
}

.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight {
	border: 1px solid var(--btn-primary-border-color) !important;
	background-color: transparent !important;
	color: #000;
}

.ui-state-active {
	color: #fff !important;
}

 /* ---------------  Old Classes CSS  --------------- */
 
.loader div { 
	background:rgba(0,0,0,0.2); 
	position:fixed; 
	height:100%; 
	width: 100%; 
	left:0px; 
	top:0px; 
	z-index:999;
}

.loader div img { 
	margin-top:20%; 
	background:#fff; 
	border:1px solid #ccc; 
	padding:10px; 
	border-radius:100%;
}

.se-pre-con {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url(../images/loader.svg) center no-repeat #fff;
}

.se-pre-con1 {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url(../images/loadinganb.gif) center no-repeat #fff;
}

.unsupport-browser .bs-option {
	animation: fadeIn .5s ease-in-out 0s forwards;
	box-shadow: 3px 3px 3px rgba(0,0,0,0.15);
	border-radius: 4px;
	border: 1px solid #e2e2e2;
	padding: 50px 20px 20px;
	background: #fff;
	min-height: 320px;
	text-align: center;
	margin: 20px 0px;
}

.unsupport-browser .bs-option h3 {
	margin: 20px 0 5px;
	padding: 0px;
	font-size: 16px;
}

.unsupport-browser .bs-option h2 {
	color:  var(--cd-anchor-tag-color);
	margin: 0px;
	padding: 0 0 10px;
	font-size: 20px;
}

.unsupport-browser .bs-option .btn {
	padding: 5px 15px;
	font-size: 15px;
}

@keyframes fadeIn{
    0%{
        opacity:0;
    }
    100%{
        opacity:1;
    }
}

.tooltip .tooltip-inner { 
	white-space:pre-wrap; 
	text-align:left !important; 
	width:auto !important; 
	max-width:300px !important; 
	padding:10px;
}

.side-action-modal{
	white-space:nowrap;
	width:250px;
	z-index:100;
	position:fixed;
	transition:all .5s;
	right:0;
	top:20%; 
}

.side-modal-btn{
	position:absolute;
	top:18px;
	right:0;
	z-index:2;
	background: #fff;
	box-shadow:0 1px 12px -3px #000; 
	padding:5px 10px 5px; 
	border-radius: 10px 0px 0px 10px;
	display:block;
}

.side-action-modal.full-content{
	background:#fff;
	animation:slideLeft .5s  ease-out  0s forwards;
	border-radius: 10px 0px 0px 10px;
	box-shadow:0 1px 12px -3px #000;
}

@keyframes slideLeft{
    0%{
        right:0;
        width:175px;
    }
    100%{
        right:0;
        width:515px;
    }
}

.side-action-modal .bootstrap-select{
	width:220px !important;
}

.side-action-modal.full-content .side-modal-btn {
	display: none !important;
}

.side-modal-btn .btn { 
	width: 190px; 
	margin: 5px 0;
}

.no-js #loader { 
	display: none;  
}

.js #loader { 
	display: block; 
	position: absolute; 
	left: 100px; 
	top: 0;
}

.tooltip-info {
	position: relative; 
	display: inline-block;
}

.tooltip-info .info-icon { 
	padding:2px 5px; 
	border-radius:10px; 
	-webkit-animation: glowing 1500ms infinite;
  	-moz-animation: glowing 1500ms infinite;
  	-o-animation: glowing 1500ms infinite;
  	animation: glowing 1500ms infinite; 
  	font-size: 9px; 
  	color: #fff;
  	margin: 0px 7px;
  	vertical-align: top;
}

.tooltip-info small {
	font-size: 10px;
}

.tooltip-info .tooltiptext { 
	word-break:break-all;
	font-size:13px; 
	visibility: hidden; 
	width: 150px;
	background-color: #ffe7e7;
	border-radius: 6px;
	padding: 10px;
	position: absolute;
	z-index: 1;
	bottom: 27px;
	left: 0;
	right: auto;
	box-shadow: 1px 1px 1px rgba(0,0,0,0.3);
}

.tooltip-info .tooltiptext::before {  
	content: ""; 
	position: absolute; 
	top: 100%; 
	left:22px; 
	border-width: 5px; 
	border-style: solid; 
	border-color: #cccccc transparent transparent transparent;
}

.tooltip-info .tooltiptext::after {  
	content: ""; 
	position: absolute; 
	top: 100%; 
	left: 20px; 
	border-width: 5px; 
	border-style: solid; 
	border-color: #ffe7e7 transparent transparent transparent;
}

.tooltip-info:hover .tooltiptext {
	visibility: visible;
}

@-webkit-keyframes glowing {
  0% { 
  	background-color: #B20000;  
  }
  50% { 
  	background-color: #FF0000;  
  }
  100% { 
  	background-color: #B20000;  
  }
}

@-moz-keyframes glowing {
  0% { 
  	background-color: #B20000;  
  }
  50% { 
  	background-color: #FF0000;  
  }
  100% { 
  	background-color: #B20000;  
  }
}

@-o-keyframes glowing {
  0% { 
  	background-color: #B20000;
  }
  50% { 
  	background-color: #FF0000; 
  }
  100% { 
  	background-color: #B20000; 
  }
}

@keyframes glowing {
  0% { 
  	background-color: #B20000; 
  }
  50% { 
  	background-color: #FF0000; 
  }
  100% { 
  	background-color: #B20000;  
  }
}

.filter-box .label-active, .filter-box .label-active:hover { 
	background: #34b643; 
}

.filter-box .label-default { 
	background: #999; 
}

.filter-box .moreDropdown a.more-link:before { 
	display:none; 
}

.filter-box .dropdown-menu { 
	min-width: 200px; 
}

.filter-box .dropdown-menu li { 
	margin-bottom: 5px; 
}

.filter-box .dropdown-menu li a { 
	color: #444;  
	text-align: left; 
	padding: 1px 8px; 
	display: block; 
	color: #fff; 
}

.list-certificate .refresh { 
	display: inline;
}
/* 
.list-certificate .select { 
	width: 81%; 
	display: inline-block; 
	vertical-align: top; 
	margin: 0px 10px 0px 0px;
} */

.list-certificate select { 
	margin: 0px !important;
}

.list-certificate .btn { 
	border-radius: 4px; 
	border-color: #bbb; 
	vertical-align: top;
}

.date-control { 
	position: relative; 
}

.date-control img { 
	position: absolute; 
	right: 10px; 
	top: 13px; 
	cursor: pointer;
}

.copyright .powered-by img { 
	height: 40px;
}

.validation-error, .validation-error:focus { 
	border-color:#db1802;
}

 /* ---------------  New Classes CSS  --------------- */

/* International Telephone Input plugin */
.intl-tel-input {
	display: block !important;
}

.intl-tel-input.allow-dropdown input, .intl-tel-input.allow-dropdown input[type=text], 
.intl-tel-input.allow-dropdown input[type=tel], 
.intl-tel-input.separate-dial-code input, .intl-tel-input.separate-dial-code input[type=text], 
.intl-tel-input.separate-dial-code input[type=tel] {
	padding-right: 6px !important;
    padding-left: 52px !important;
}

.table>:not(caption)>*>* {
	padding: 0.8rem 0.5rem !important;
}

.table-striped>tbody>tr:nth-of-type(odd)>* {
	background-color: rgba(248, 249, 250, 1) !important;
	--bs-table-bg-type: rgba(248, 249, 250, 1) !important;
}

.cd-table-bordered {
	border-bottom: 1px solid #dee2e6;
}

.select2-container {
	border: unset;
	width: -moz-available !important;          
  	width: -webkit-fill-available !important; 
  	width: fill-available !important;
  	max-width: 100%;      
}

.select2-container--default .select2-selection--single {
	border: unset !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
	line-height: 1.5 !important;
	height: 38px;
}

.select2-selection__rendered {
	position: relative;
	border: 1px solid #dee2e6;
	border-radius: 0.375rem;
	height: auto;
	padding: 0.5rem 2.25rem 0.5rem 0.75rem !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
	top: 7px !important;
}

.select2-container--default .select2-results>.select2-results__options {
	overflow-x: hidden;
}

.select2-dropdown {
	border: 1px solid #dee2e6 !important;
	top: 12px;
    border-radius: 0.375rem !important;
    z-index: 1056 !important;
}

.select2-search__field {
	border: 1px solid #a4aeb7 !important;
	outline-color: transparent;
	border-radius: 0.375rem;
	outline-offset: 0 !important;
	margin: 0.25rem 0;
	padding: 0.5rem .75rem !important;
}

.select2-results__option {
	border-radius: 0.375rem;
    margin: 0.25rem;	
    text-align: start;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #f8f9fa !important;
    color: #212529 !important;
} 

.select2-container--disabled .select2-selection__rendered {
	background-color: #e9ecef !important;
}

.ui-menu .ui-menu-item-wrapper {
    padding: 6px 1em 6px .6em;
}

.pdfviewer-body {
	border: 1px solid #ced4da !important;
	border-radius: 0.375rem !important;
}

.pdfviewer-container {
	padding-top: 4.25rem !important;
}

.pdfviewer-container {
	padding: 1rem 0.625rem !important;
}

.pdfviewer-actions {
	border-bottom: 1px solid #ced4da !important;
}

.pdfviewer-actions a {
	font-size: 0.875rem !important;
}

.nav-underline .nav-link:hover {
	color: #074696 !important;
    background-color: #eef5ff !important;
    border-radius: 0.375rem 0.375rem 0 0 !important;
}

.nav-underline .nav-link.active {
	color: #074696 !important;
    border-bottom-color: #074696 !important;
    border-radius: 0.375rem 0.375rem 0 0 !important;
}

.nav.navbar-nav .nav-item.active, .nav.navbar-nav .nav-item.is-selected {
	background-color: var(--cd-color-navbar-item) !important;
}

.navbar-toggler-icon {
	filter: invert(1);
}

.navbar-toggler:focus .navbar-toggler-icon {
	filter: invert(1);
}

.dropdown-item.active, .dropdown-item:active {
	background-color: #074696 !important;
}

.accordion-button::after {
	--bs-accordion-btn-icon-width: 1rem;
}

.accordion-button:not(.collapsed) {
	font-weight: bold;	
}

.accordion-button:focus {
	box-shadow: 0 0 0 0.08rem rgba(13, 110, 253, 0.25) !important;
}

.login-bg {
	background-image: url('../images/admin-login-bg.jpg');
	background-size: cover;
	background-position: center center; 
	position: relative;
	background-position: center center; 
}

.roundBox { 
	min-width: 75px; 
}

.search-overlay { 
	position: fixed; 
	display: none; 
	top: 0px; 
	width: 100%; 
	z-index: 999; 
	height: 100%; 
	background: transparent;
}

.moresearch-box { 
	top: 22px; 
	width: 360px; 
	z-index: 1000; 
}

.validation-error, .validation-error:focus { 
	border-color:#db1802;
}

.linechart-colnm { 
	width: 20px; 
	height: 20px; 
	background: #667680; 
}

.default-logo { 
	width: 95px;
}

.crvImage { 
	max-height: 150px; 
}

.cd-bg-color {
	background-color: var(--cd-background-color) !important;
}

.cd-lp__selectCertificateWrap {
	height: 38px;
}

.cd-input-label {
	line-height: 0.5rem;
    height: 16px;
   	top: -8px;
    left: 24px;
}

.cd-input-label--secondary {
	left: 12px;
}

.cd-selectCertificateHeight {
	height: 32px;	
}

.cd-stripedWraps > div:nth-child(2n), .cd-stripedWraps > tr:nth-child(2n), .cd-stripedWraps > li:nth-child(2n+1) {
	background-color: var(--striped-rows-bg);
}

.mb-select2 {
	margin-bottom: 26px;
}

.min-width-180px { min-width: 180px; }

.word-wrap-break-word {
	word-wrap: break-word;
}

.status-icon{
	height: 40px;
	width: 40px;
}

/* ---------- Media Queries ----------    */

@media (min-width: 992px){
	
	.position-lg-absolute {
		position: absolute !important;
	}
	
	.border-lg-start {
		border-left: 1px solid #dee2e6;
	}
	
	.cd-header__dropdownMenu {
		display: none;
		visibility: hidden;
		opacity: 0;
		transition: opacity 0.2s ease, visibility 0.2s ease;
	}

	.show-dropdownMenu:hover .cd-header__dropdownMenu {
		display: block;
		visibility: visible;
		opacity: 1;
	}
	
	.cd-verticalTabs {
		border-right: 1px solid #dee2e6;
		border-bottom: unset !important;
		padding: 1rem;
		padding-left: 0;
		max-height: 420px;
	}
	
	.cd-verticalTabs .nav-link {
		padding: 0.75rem;
	}
	
	.cd-verticalTabs .nav-link:hover {
		border-radius: 0.375rem !important;
	}
	
	.cd-verticalTabs .nav-link.active {
    	border-left: 2px solid #074696 !important;
    	border-radius: 0 0.375rem 0.375rem 0 !important;
    	background-color: #eef5ff !important;
	}
	
	.cd-verticalTabs.nav-underline .nav-link {
		border-bottom: unset !important;
	}
	
	.border-lg-start {
		border-left: 1px solid #dee2e6;
	}
	
	.pe-lg-6px {
		padding-right: 0.375rem !important;
	}
	
	.ps-lg-6px {
		padding-left: 0.375rem !important;
	}
	
}

@media (max-width: 767px) {
	.moresearch-box {
		max-width: 280px;
	}
}

.left-panel {
    flex: 2;
}
 
.left-panel h3 {
    margin: 0;
}
 
.right-panel {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 12px;
    flex: 1;
}
 
.summary-card {
    background: #f3f4f6;
    border: 1px solid #e5e7eb;
    border-radius: 10px;
    padding: 15px;
    text-align: center;
}
 
.summary-card h2 {
    font-size: 20px;
    margin: 0;
}
 
.summary-card div {
    font-size: 14px;
    font-weight: bold;
    margin-top: 5px;
}
 
.summary-card small {
    font-size: 12px;
    color: #6b7280;
}
 
.filter {
    padding: 6px;
    margin-bottom: 15px;
    font-size: 14px;
}
 
canvas {
    width: 100% ;
    max-height: 300px;
    margin-top: 10px;
}
 .legend-entry::before {
    content: "";
    position: absolute;
    left: 0;
    top: 5px;
    width: 12px;
    height: 12px;
    border-radius: 2px;
    background-color: var(--bullet-color);
    
  }
.legend-entry {
  position: relative; /* Required for ::before to position correctly */
  padding-left: 20px;
  font-size: 14px;
  color: #000; /* ensures text is black */
  margin-bottom: 6px;
}

.legend-entry.struck {
  text-decoration: line-through !important;;
  opacity: 0.5;
}

.se-pre-con {position: fixed;left: 0px;top: 0px;width: 100%;height: 100%;z-index: 9999;background: url(../images/loader.svg) center no-repeat #fff;}
.spinner {
  width: 50px;
  height: 50px;
  border: 6px solid #ddd;
  border-top: 6px solid #007bff;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  margin-bottom: 10px;
}

@keyframes spin {
  to { transform: rotate(360deg); }
}
